# Interface LpkxCimRenderer

Interface for CIM (Cartographic Information Model) Renderer.

interface LpkxCimRenderer {
fields?: string[];
groups?: LpkxCimRendererGroup[];
symbol?: LpkxCimSymbolReference;
type: "CIMUniqueValueRenderer" | "CIMSimpleRenderer";
}

#####
Index

### Properties

fields?
groups?
symbol?
type

##
Properties

### `Optional` fields

fields?: string[]

The fields used for the renderer.

### `Optional` groups

groups?: LpkxCimRendererGroup[]

The groups of renderer classes.

### `Optional` symbol

symbol?: LpkxCimSymbolReference

The symbol associated with the renderer.

### type

type: "CIMUniqueValueRenderer" | "CIMSimpleRenderer"

The type of the renderer.